/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * List of information linked to a travel incident
 */
@ApiModel(description = "List of information linked to a travel incident")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class TravelAccidentClaimInformation {
  @SerializedName("Select_the_reason_of_accident")
  private String selectTheReasonOfAccident = null;

  @SerializedName("Accidental_dismemberment")
  private AccidentalDismemberment accidentalDismemberment = null;

  public TravelAccidentClaimInformation selectTheReasonOfAccident(String selectTheReasonOfAccident) {
    this.selectTheReasonOfAccident = selectTheReasonOfAccident;
    return this;
  }

   /**
   * Get selectTheReasonOfAccident
   * @return selectTheReasonOfAccident
  **/
  @ApiModelProperty(example = "Accidental dismemberment", value = "")
  public String getSelectTheReasonOfAccident() {
    return selectTheReasonOfAccident;
  }

  public void setSelectTheReasonOfAccident(String selectTheReasonOfAccident) {
    this.selectTheReasonOfAccident = selectTheReasonOfAccident;
  }

  public TravelAccidentClaimInformation accidentalDismemberment(AccidentalDismemberment accidentalDismemberment) {
    this.accidentalDismemberment = accidentalDismemberment;
    return this;
  }

   /**
   * Get accidentalDismemberment
   * @return accidentalDismemberment
  **/
  @ApiModelProperty(value = "")
  public AccidentalDismemberment getAccidentalDismemberment() {
    return accidentalDismemberment;
  }

  public void setAccidentalDismemberment(AccidentalDismemberment accidentalDismemberment) {
    this.accidentalDismemberment = accidentalDismemberment;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    TravelAccidentClaimInformation travelAccidentClaimInformation = (TravelAccidentClaimInformation) o;
    return Objects.equals(this.selectTheReasonOfAccident, travelAccidentClaimInformation.selectTheReasonOfAccident) &&
        Objects.equals(this.accidentalDismemberment, travelAccidentClaimInformation.accidentalDismemberment);
  }

  @Override
  public int hashCode() {
    return Objects.hash(selectTheReasonOfAccident, accidentalDismemberment);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class TravelAccidentClaimInformation {\n");
    
    sb.append("    selectTheReasonOfAccident: ").append(toIndentedString(selectTheReasonOfAccident)).append("\n");
    sb.append("    accidentalDismemberment: ").append(toIndentedString(accidentalDismemberment)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

